//Player.cpp

#include "Player.h"

Player::Player()
{
    name         = "Player";
    numTurnsLeft = 1;
    targetType   = BALL_NOTARGET;
    playerNum    = 0;
}

Player::Player(char* playerName, int playerNo)
{
    name         = playerName;
    numTurnsLeft = 1;
    targetType   = BALL_NOTARGET;
    playerNum    = playerNo;
}

Player::~Player()
{}

void Player::SetName(char *newName)
{
    name = newName;
}

char* Player::GetName()
{
    return name;
}

void Player::SetNumberOfTurns(int numTurns)
{
    numTurnsLeft = numTurns;
}

void Player::ChangeNumberOfTurns(int deltaTurns)
{
    numTurnsLeft += deltaTurns;
}

int Player::GetNumberOfTurnsLeft()
{
    return numTurnsLeft;
}

int Player::GetTargetType()
{
    return targetType;
}

void Player::SetTargetType(int newTargetType)
{
    targetType = newTargetType;
}

void Player::ResetPlayer()
{
    numTurnsLeft = 1;
    targetType   = BALL_NOTARGET;
}

int Player::GetPlayerNumber()
{
    return playerNum;
}