//Player.h
//
//Holds the details for an individual player

#ifndef PLAYER_H
#define PLAYER_H

#include "Constants.h"

class Player
{
public:
    Player();
    Player(char* playerName, int playerNo);
    ~Player();

    void  SetName(char *newName);
    char* GetName();
    void  SetNumberOfTurns(int numTurns);
    void  ChangeNumberOfTurns(int deltaTurns);
    int   GetNumberOfTurnsLeft();
    int   GetTargetType();
    void  SetTargetType(int newTargetType);
    void  ResetPlayer();
    int   GetPlayerNumber();

private:
    char *name;
    int  numTurnsLeft, targetType, playerNum;
};

#endif
