//Pocket.cpp
//
//Implementation of Pocket class

#include "Pocket.h"

Pocket::Pocket(float xpos, float ypos, float zpos, float radius, dSpaceID space, GeomController *geomController, char* pocketName) : CObject(NULL, NULL, pocketName)
{
   pocketGeom = dCreateSphere(space, radius);
   dGeomSetPosition(pocketGeom, xpos, ypos, zpos);
   
   geomController->AddGeom(pocketGeom, "Pocket", this);
}

Pocket::~Pocket()
{}
