#ifndef __TEXMAN_H
#define __TEXMAN_H

#include <sps2lib.h>
#include <sps2tags.h>
#include <sps2util.h>
#include <sps2regstructs.h>
#include "PS2Defines.h"
#include "AddRegisters.h"
#include "texture.h"
#include "Constants.h"

#define MAX_BITMAPS 15

class TextureManager
{
public:
    TextureManager(int sps2d);
    ~TextureManager();

    bool LoadFile(char* fileName, bool trans);
    void DrawBitmap(char* fileName, int x, int y, int z);
    void DeleteBitmap(char* fileName);

private:
    int BuildGSPacket(void* pMem, int x, int y, int w, int h, int z);

    Bitmap bitmap[MAX_BITMAPS];
    int desc;
};

#endif