#ifndef __SOCK_H
#define __SOCK_H

#include <arpa/inet.h>
#include <netinet/in.h>
#include <stdio.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <string.h>
#include <unistd.h>
#include <sys/ioctl.h>   /* _SGIAPI FIO* functions	*/
#include <stropts.h>     /* STREAMS functions */
#include <stdio.h>
#include <fcntl.h>
#include <netdb.h>
#include <stdlib.h>

#define BUFLEN 1024
#define PORT 6666

class SocketController
{
	public:
		SocketController();
		~SocketController();
		int SendMessage(char msg[BUFLEN]);
		int CheckMessages(char msg[BUFLEN]);
		void CloseConnection();
		int servSock;                   /* Socket descriptor for server */

	private:
    	int clntSock;                   /* Socket descriptor for client */
    	struct sockaddr_in ServAddr;	/* Local address */
		struct sockaddr_in ClntAddr;	/* Client address */
		unsigned int clntLen;			/* Length of client address data structure */
		int flag, max;
		char buf[BUFLEN];
		struct timeval tv;
		fd_set readfds, master;
		void SetNonBlocking(int sock);
		int reuse_addr;
		char domain[256];
};
#endif
