#ifndef GEOMCONTROLLER_H
#define GEOMCONTROLLER_H

#include <ode/ode.h>

#define MAX_GEOMS 50

class GeomController
{
public:
	GeomController();
	~GeomController();
	char* GetGeomType(dGeomID geom);
	void* GetGeomObject(dGeomID geom);
	void AddGeom(dGeomID geom, char* type, void* objRef);
    void RemoveGeom(dGeomID geom);

private:
	dGeomID geomArray[MAX_GEOMS];
	char* typeArray[MAX_GEOMS];
	void* objRefArray[MAX_GEOMS];
	int numGeoms;
};
#endif