#ifndef MODELCONTROLLER_H
#define MODELCONTROLLER_H

#include "Model.h"
#include "RenderManager.h"

#define MAX_MODELS 20

class ModelController
{
public:
    ModelController(RenderManager *ptrRMgr);
    ~ModelController();

    Model* LoadModel(char* modelName);

private:
    int    ModelLoaded(char * name);
    Model* GetModelPointer(int x);
    void   AddModel(Model *model, char * name);
    
    Model         *modelArray[MAX_MODELS];
    char          *keyArray[MAX_MODELS];
    int	          numModels;
    RenderManager *renderMgr;
};
#endif