//RenderManager.h

#ifndef RENDERMGR_H
#define RENDERMGR_H

#include <sps2lib.h>
#include <sps2util.h>
#include <render/render.h>
#include <geommath/geommath.h>

class RenderManager
{
public:
    RenderManager(int iSps2descriptor);
    ~RenderManager();

    void DrawingObject();
    void FinishedFrame();

private:
    int maxObjects;
    int currentObjects;
    int sps2descriptor;
    Dn_CHCR_t kicksettings;
};

#endif
