//SoundSystem.h

#ifndef SOUNDSYSTEM_H
#define SOUNDSYSTEM_H

#include "soundlib.h"
#include "Constants.h"

class SoundSystem
{
public:
    SoundSystem();
    ~SoundSystem();

    void PlaySound(int soundID);
    void PlaySound(int soundID, float volume);
    int  LoadSound(char* fileName);
    void Update();
	void ToggleMusic(int musicID);

private:
	bool musicPlaying;
};

#endif
