#ifndef UTENSIL_H
#define UTENSIL_H

#include "CObject.h"

#define CUEANGLE -1.74532925

class Utensil : public CObject
{
public:
    Utensil(dSpaceID space, ModelController *modelController, GeomController *geomController, char *modelName);
    ~Utensil();

    void DrawUtensil(Mat44 worldtoscreen, lightinfo lights, float rotationAngle, float centreX, float centreY, float centreZ);
    void SetMaxCueDistance(float newMaxDistance);
    void SetAnimationLength(int lenInFrames);
    void SetStrikeLength(int lenInFrames);
    void ResetAnimation();
    bool AnimationIsComplete();
    void DoAnimationStep();

private:
    float currentCueDistance, maxCueDistance, fwdCueStep, backCueStep;
    int   animationLength, cueDir, strikeLength;
    bool  animationIsRunning;
    Mat44 mat1, mat2, mat3;
};

#endif
